#! /bin/bash

# find the right file
if [ -f /etc/modules.conf ]
then FILE=/etc/modules.conf
elif [ -f /etc/conf.modules ]
then FILE=/etc/conf.modules
fi

# check if not already included
grep "Sony RM-X2S joystick configuration" $FILE
if [ $? -eq 0 ]
then echo "Configuration already present in $FILE . aborting..."
     exit 0
fi

VER=`perl -ne '/Linux version 2\.(\d)\./;print $1' < /proc/version`

# kernel 2.2.x
if [ $VER -eq 2 ]
then 
     echo "You are using Linux 2.2.x . Patching $FILE"
     echo >> $FILE
     echo "# Sony RM-X2S joystick configuration" >> $FILE
     echo "alias char-major-15 joy-analog" >> $FILE
     echo "options joy-analog js_an=0x201,17" >> $FILE
fi

# kernel 2.4.x
if [ $VER -eq 4 ]
then 
     echo "You are using Linux 2.4.x . Patching $FILE"
     echo >> $FILE
     echo "# Sony RM-X2S joystick configuration" >> $FILE
     echo "alias char-major-13 joydev ns558 analog" >> $FILE
     echo "options analog js=17" >> $FILE
fi
