#include <gtk/gtk.h>
#include "sony.h"

/** exists the GTK application
    @param widget ignored
    @param data ignored
*/
void destroy( GtkWidget *widget, gpointer data)
{
  gtk_main_quit();
}

/** creates a window with two buttons. One for the configuration
    dialog and one for the about dialog 
    @param argc number of parameters 
    @param argv the parameters 
*/
int main( int argc, char *argv[] )
{
  GtkWidget *window, *button, *box;

#ifdef ENABLE_NLS
  textdomain("xmms");
#endif

  gtk_init (&argc, &argv);

  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_signal_connect(GTK_OBJECT(window), "destroy", GTK_SIGNAL_FUNC(destroy), NULL);
  gtk_widget_show  (window);

  box=gtk_vbox_new(FALSE, 0);
  gtk_container_add(GTK_CONTAINER(window), box);
  gtk_widget_show(box);

  button=gtk_button_new_with_label("Configure");
  gtk_box_pack_start_defaults(GTK_BOX(box), button);
  gtk_signal_connect(GTK_OBJECT (button), "clicked", GTK_SIGNAL_FUNC(sonyrm_configure), NULL);
  gtk_widget_show(button);
          
  button=gtk_button_new_with_label("About");
  gtk_box_pack_start_defaults(GTK_BOX(box), button);
  gtk_signal_connect(GTK_OBJECT (button), "clicked", GTK_SIGNAL_FUNC(sonyrm_about), NULL);
  gtk_widget_show(button);
          
  gtk_main ();
          
  return(0);
}
